Core - Feature # 25718

Status: New Priority: Should have
Author: Steffen Gebert Category:

Created: 2011-04-01 Assigned To:

Updated: 2015-06-15 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Support <iframe> inclusion for Media Content Element

Description

Currently only SWF is supported.

Related issues:

related to Core - Feature # 53421: Media Element Under Review 2013-11-07
related to Core - Bug # 33090: New way to embed youtube videos New 2012-01-10
related to Core - Feature # 61799: Improve the handling of media files Under Review 2014-09-22
related to Core - Bug # 44633: Media-element: Vimeo-video can not play via HTML5 New 2013-01-18
History

#1 - 2011-04-02 20:44 - Susanne Moog

ha?

#2 - 2011-04-02 21:40 - Alexander Stehlik

| think Steffen is talking about ne new iframe based embedding of videos from youtube ;)

Did you already have a look at the http://www.oembed.com/ standard? It is used in wordpress for example and looks very promising. You don't need to

care about iframes, video tags or swf files any more.

| was thinking about doing some extension development in this area, maybe | can think of a core patch if you are interested?

#3 - 2011-04-03 19:55 - Steffen Gebert

Exactly, Andreas. Of course, core support would be great!

#4 - 2011-06-17 09:35 - Alexander Stehlik

Hi Steffen,
| started developing on this issue.

Please have a look at http://typo3.org/extensions/repository/view/mediaoembed/current/ and let me know what you think about it.

Kind regards,
Alex

#5 - 2011-06-18 18:53 - Steffen Gebert
http://www.oembed.com/
http://typo3.org/extensions/repository/view/mediaoembed/current/

Hi Alex,

looks very promising. Do you think, we can integrate it into the Core without requiring too much configuration? | don't think we need the full feature set

(I'm totally fine with having it as an extension).

Steffen

#6 - 2011-07-29 12:48 - Felix Nagel

| would be interested in an iframe support. At least for YouTube so we can use the new iframe standard which works without flash.

#7 - 2015-01-17 16:05 - Mathias Schreiber

- Target version set to 7.2 (Frontend)

#8 - 2015-06-15 17:44 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)
